package com.citygis.web.mapper;

import com.citygis.web.domain.LookMonitor;
import com.citygis.web.domain.TabLinkTitle;

import java.util.List;

public interface LookMonitorMapper {

    LookMonitor getLookMonitorByUrl(String dateTime);

    LookMonitor getLookMonitorByKb(String dateTime);

    LookMonitor getLookMonitorByKafka(String dateTime);

    TabLinkTitle getUrlMsg(String dateTime);

    List<LookMonitor> getLookMonitorByUrlAndStatus(String dateTime);

    List<LookMonitor>  getDataMap(Integer type);

}
